package inheritance;

/**
 *
 * @author Lefteris Moussiades
 */
public class Student extends Person {

    private int aem;
    double[] bathmoi;

    public Student(String fName, String sName, Gender gender, int aem) {
        super(fName, sName, gender);
        this.aem = aem;
        bathmoi = new double[5];
    }

    public void setBathmos(int idx, double value) {
        bathmoi[idx] = value;
    }

    public double mesosOros() {
        double rVal = 0;
        for (double d : bathmoi) {
            rVal += d;
        }
        return rVal / 5;
    }

    public void tstELoop() {
        for (double d : bathmoi) {
            d = 1;
            System.out.print(d + " ");
        }
        for (double k : bathmoi) {
            System.out.print(k + " ");
        }
    }

    @Override
    public String toString() {
        return super.toString() + " MO: " + mesosOros();
    }
    
    public boolean equals(Object o) {
        return super.equals(o) && ((Student)o).aem==this.aem;
    }

    public static void main(String[] args) {
        Person p = new Person("Ann", "Blue", Gender.FEMALE);
        System.out.println(p);
        System.out.println("----------------------------");
        Student john = new Student("John", "Black", Gender.MALE,2118);
        Student s = new Student("John", "Black", Gender.MALE, 2987);
        for (int i = 0; i < 5; i++) {
            john.setBathmos(i, 9);
        }

        System.out.println(john.equals(s));
        john=s;
        System.out.println(john.equals(s));
        

    }

    public int getAem() {
        return aem;
    }

    public void setAem(int aem) {
        this.aem = aem;
    }
}
