package inheritance;


/**
 *
 * @author Lefteris Moussiades
 */

public class Person {
    String  fName;
    private String sName;
    private Gender gender;

    public Person(String fName, String sName, Gender gender) {
        this.fName = fName;
        this.sName = sName;
        this.gender = gender;
    }

    public Gender getGender() {
        return gender;
    }

    public void setGender(Gender gender) {
        this.gender = gender;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getsName() {
        return sName;
    }

    public void setsName(String sName) {
        this.sName = sName;
    }

    @Override
    public String toString() {
        return fName+" "+sName+" is "+gender;
        
    }
    
    @Override
    public boolean equals(Object o) {
        Person p=(Person)o;
        return p.fName.equals(this.fName) && p.sName.equals(this.sName);
    }
    
    public boolean isEqual(Person p) {
        return p.fName.equals(this.fName) && p.sName.equals(this.sName);
    }
}
